petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceGetDimension

Get the dimension of the dual space, i.e. the number of basis functionals

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetDimension(PetscDualSpace sp, PetscInt *dim)

Not collective

### Input Parameter

sp -The PetscDualSpace

### Output Parameter

dim -The dimension

### See Also

PetscDualSpaceGetFunctional(), PetscDualSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceGetDimension_SingleCell_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceGetDimension_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceGetDimension_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages